# Branches ## Create a new project branch `$ stl projects:branches create` **post** `/v0/projects/{project}/branches` Create a new branch for a project. The branch inherits the config files from the revision pointed to by the `branch_from` parameter. In addition, if the revision is a branch name, the branch will also inherit custom code changes from that branch. ### Parameters - `--project: optional string` Path param - `--branch: string` Body param: Branch name - `--branch-from: string` Body param: Branch or commit SHA to branch from - `--force: optional boolean` Body param: Whether to throw an error if the branch already exists. Defaults to false. ### Returns - `project_branch: object { branch, config_commit, latest_build, 3 more }` A project branch names a line of development for a project. Like a Git branch, it points to a Git commit with a set of config files. In addition, a project branch also points to a set of custom code changes, corresponding to Git branches in the staging repos. - `branch: string` Branch name - `config_commit: object { repo, sha, stats, tree_oid }` A Git commit that points to the latest set of config files on a given branch. - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `latest_build: object { id, config_commit, created_at, 6 more }` - `id: string` Build ID - `config_commit: string` - `created_at: string` - `documented_spec: object { content, type } or object { expires, type, url }` - `union_member_0: object { content, type }` - `content: string` - `type: "content"` - `"content"` - `union_member_1: object { expires, type, url }` - `expires: string` - `type: "url"` - `"url"` - `url: string` - `object: "build"` - `"build"` - `org: string` - `project: string` - `targets: object { cli, csharp, go, 10 more }` - `cli: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status }` - `status: "queued"` - `"queued"` - `in_progress: object { status }` - `status: "in_progress"` - `"in_progress"` - `completed: object { commit, completed, completed_at, 3 more }` - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `completed: object { commit, completed_at, conclusion, merge_conflict_pr }` deprecated - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `sha: string` - `stats: object { additions, deletions, total }` - `tree_oid: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `status: "completed"` - `"completed"` - `install_url: string` - `object: "build_target"` - `"build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `"not_started"` - `"codegen"` - `"postgen"` - `"completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status, url }` - `status: "queued"` - `"queued"` - `url: string` - `in_progress: object { status, url }` - `status: "in_progress"` - `"in_progress"` - `url: string` - `completed: object { completed, conclusion, status, url }` - `completed: object { conclusion, url }` deprecated - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `url: string` - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `status: "completed"` - `"completed"` - `url: string` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `csharp: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `go: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `java: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `kotlin: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `node: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `openapi: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `php: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `python: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `ruby: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `sql: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `terraform: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `typescript: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `updated_at: string` - `object: "project_branch"` - `"project_branch"` - `org: string` - `project: string` Project name ### Example ```cli stl projects:branches create \ --api-key 'My API Key' \ --project project \ --branch branch \ --branch-from branch_from ``` #### Response ```json { "branch": "branch", "config_commit": { "repo": { "branch": "branch", "host": "host", "name": "name", "owner": "owner" }, "sha": "sha", "stats": { "additions": 0, "deletions": 0, "total": 0 }, "tree_oid": "tree_oid" }, "latest_build": { "id": "id", "config_commit": "config_commit", "created_at": "2019-12-27T18:11:19.117Z", "documented_spec": { "content": "content", "type": "content" }, "object": "build", "org": "org", "project": "project", "targets": { "cli": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "csharp": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "go": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "java": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "kotlin": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "node": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "openapi": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "php": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "python": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "ruby": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "sql": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "terraform": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "typescript": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } } }, "updated_at": "2019-12-27T18:11:19.117Z" }, "object": "project_branch", "org": "org", "project": "project" } ``` ## Retrieve a project branch `$ stl projects:branches retrieve` **get** `/v0/projects/{project}/branches/{branch}` Retrieve a project branch by name. ### Parameters - `--project: optional string` - `--branch: string` ### Returns - `project_branch: object { branch, config_commit, latest_build, 3 more }` A project branch names a line of development for a project. Like a Git branch, it points to a Git commit with a set of config files. In addition, a project branch also points to a set of custom code changes, corresponding to Git branches in the staging repos. - `branch: string` Branch name - `config_commit: object { repo, sha, stats, tree_oid }` A Git commit that points to the latest set of config files on a given branch. - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `latest_build: object { id, config_commit, created_at, 6 more }` - `id: string` Build ID - `config_commit: string` - `created_at: string` - `documented_spec: object { content, type } or object { expires, type, url }` - `union_member_0: object { content, type }` - `content: string` - `type: "content"` - `"content"` - `union_member_1: object { expires, type, url }` - `expires: string` - `type: "url"` - `"url"` - `url: string` - `object: "build"` - `"build"` - `org: string` - `project: string` - `targets: object { cli, csharp, go, 10 more }` - `cli: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status }` - `status: "queued"` - `"queued"` - `in_progress: object { status }` - `status: "in_progress"` - `"in_progress"` - `completed: object { commit, completed, completed_at, 3 more }` - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `completed: object { commit, completed_at, conclusion, merge_conflict_pr }` deprecated - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `sha: string` - `stats: object { additions, deletions, total }` - `tree_oid: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `status: "completed"` - `"completed"` - `install_url: string` - `object: "build_target"` - `"build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `"not_started"` - `"codegen"` - `"postgen"` - `"completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status, url }` - `status: "queued"` - `"queued"` - `url: string` - `in_progress: object { status, url }` - `status: "in_progress"` - `"in_progress"` - `url: string` - `completed: object { completed, conclusion, status, url }` - `completed: object { conclusion, url }` deprecated - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `url: string` - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `status: "completed"` - `"completed"` - `url: string` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `csharp: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `go: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `java: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `kotlin: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `node: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `openapi: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `php: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `python: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `ruby: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `sql: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `terraform: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `typescript: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `updated_at: string` - `object: "project_branch"` - `"project_branch"` - `org: string` - `project: string` Project name ### Example ```cli stl projects:branches retrieve \ --api-key 'My API Key' \ --project project \ --branch branch ``` #### Response ```json { "branch": "branch", "config_commit": { "repo": { "branch": "branch", "host": "host", "name": "name", "owner": "owner" }, "sha": "sha", "stats": { "additions": 0, "deletions": 0, "total": 0 }, "tree_oid": "tree_oid" }, "latest_build": { "id": "id", "config_commit": "config_commit", "created_at": "2019-12-27T18:11:19.117Z", "documented_spec": { "content": "content", "type": "content" }, "object": "build", "org": "org", "project": "project", "targets": { "cli": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "csharp": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "go": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "java": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "kotlin": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "node": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "openapi": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "php": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "python": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "ruby": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "sql": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "terraform": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "typescript": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } } }, "updated_at": "2019-12-27T18:11:19.117Z" }, "object": "project_branch", "org": "org", "project": "project" } ``` ## List project branches `$ stl projects:branches list` **get** `/v0/projects/{project}/branches` Retrieve a project branch by name. ### Parameters - `--project: optional string` Path param - `--cursor: optional string` Query param: Pagination cursor from a previous response - `--limit: optional number` Query param: Maximum number of items to return, defaults to 10 (maximum: 100). ### Returns - `unnamed_schema_1: object { data, has_more, next_cursor }` - `data: array of object { branch, config_commit, latest_build_id, 3 more }` - `branch: string` Branch name - `config_commit: object { repo, sha, stats, tree_oid }` A Git commit that points to the latest set of config files on a given branch. - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `latest_build_id: string` - `object: "project_branch"` - `"project_branch"` - `org: string` - `project: string` Project name - `has_more: boolean` - `next_cursor: optional string` ### Example ```cli stl projects:branches list \ --api-key 'My API Key' \ --project project ``` #### Response ```json { "data": [ { "branch": "branch", "config_commit": { "repo": { "branch": "branch", "host": "host", "name": "name", "owner": "owner" }, "sha": "sha", "stats": { "additions": 0, "deletions": 0, "total": 0 }, "tree_oid": "tree_oid" }, "latest_build_id": "latest_build_id", "object": "project_branch", "org": "org", "project": "project" } ], "has_more": true, "next_cursor": "next_cursor" } ``` ## Delete a project branch `$ stl projects:branches delete` **delete** `/v0/projects/{project}/branches/{branch}` Delete a project branch by name. ### Parameters - `--project: optional string` - `--branch: string` ### Returns - `ProjectBranchDeleteResponse: unknown` ### Example ```cli stl projects:branches delete \ --api-key 'My API Key' \ --project project \ --branch branch ``` #### Response ```json {} ``` ## Rebase a project branch `$ stl projects:branches rebase` **put** `/v0/projects/{project}/branches/{branch}/rebase` Rebase a project branch. The branch is rebased onto the `base` branch or commit SHA, inheriting any config and custom code changes. ### Parameters - `--project: optional string` Path param - `--branch: string` Path param - `--base: optional string` Query param: The branch or commit SHA to rebase onto. Defaults to "main". ### Returns - `project_branch: object { branch, config_commit, latest_build, 3 more }` A project branch names a line of development for a project. Like a Git branch, it points to a Git commit with a set of config files. In addition, a project branch also points to a set of custom code changes, corresponding to Git branches in the staging repos. - `branch: string` Branch name - `config_commit: object { repo, sha, stats, tree_oid }` A Git commit that points to the latest set of config files on a given branch. - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `latest_build: object { id, config_commit, created_at, 6 more }` - `id: string` Build ID - `config_commit: string` - `created_at: string` - `documented_spec: object { content, type } or object { expires, type, url }` - `union_member_0: object { content, type }` - `content: string` - `type: "content"` - `"content"` - `union_member_1: object { expires, type, url }` - `expires: string` - `type: "url"` - `"url"` - `url: string` - `object: "build"` - `"build"` - `org: string` - `project: string` - `targets: object { cli, csharp, go, 10 more }` - `cli: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status }` - `status: "queued"` - `"queued"` - `in_progress: object { status }` - `status: "in_progress"` - `"in_progress"` - `completed: object { commit, completed, completed_at, 3 more }` - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `completed: object { commit, completed_at, conclusion, merge_conflict_pr }` deprecated - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `sha: string` - `stats: object { additions, deletions, total }` - `tree_oid: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `status: "completed"` - `"completed"` - `install_url: string` - `object: "build_target"` - `"build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `"not_started"` - `"codegen"` - `"postgen"` - `"completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status, url }` - `status: "queued"` - `"queued"` - `url: string` - `in_progress: object { status, url }` - `status: "in_progress"` - `"in_progress"` - `url: string` - `completed: object { completed, conclusion, status, url }` - `completed: object { conclusion, url }` deprecated - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `url: string` - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `status: "completed"` - `"completed"` - `url: string` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `csharp: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `go: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `java: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `kotlin: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `node: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `openapi: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `php: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `python: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `ruby: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `sql: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `terraform: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `typescript: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `updated_at: string` - `object: "project_branch"` - `"project_branch"` - `org: string` - `project: string` Project name ### Example ```cli stl projects:branches rebase \ --api-key 'My API Key' \ --project project \ --branch branch ``` #### Response ```json { "branch": "branch", "config_commit": { "repo": { "branch": "branch", "host": "host", "name": "name", "owner": "owner" }, "sha": "sha", "stats": { "additions": 0, "deletions": 0, "total": 0 }, "tree_oid": "tree_oid" }, "latest_build": { "id": "id", "config_commit": "config_commit", "created_at": "2019-12-27T18:11:19.117Z", "documented_spec": { "content": "content", "type": "content" }, "object": "build", "org": "org", "project": "project", "targets": { "cli": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "csharp": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "go": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "java": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "kotlin": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "node": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "openapi": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "php": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "python": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "ruby": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "sql": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "terraform": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "typescript": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } } }, "updated_at": "2019-12-27T18:11:19.117Z" }, "object": "project_branch", "org": "org", "project": "project" } ``` ## Reset `$ stl projects:branches reset` **put** `/v0/projects/{project}/branches/{branch}/reset` Reset a project branch. If `branch` === `main`, the branch is reset to `target_config_sha`. Otherwise, the branch is reset to `main`. ### Parameters - `--project: optional string` Path param - `--branch: string` Path param - `--target-config-sha: optional string` Query param: The commit SHA to reset the main branch to. Required if resetting the main branch; disallowed otherwise. ### Returns - `project_branch: object { branch, config_commit, latest_build, 3 more }` A project branch names a line of development for a project. Like a Git branch, it points to a Git commit with a set of config files. In addition, a project branch also points to a set of custom code changes, corresponding to Git branches in the staging repos. - `branch: string` Branch name - `config_commit: object { repo, sha, stats, tree_oid }` A Git commit that points to the latest set of config files on a given branch. - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `latest_build: object { id, config_commit, created_at, 6 more }` - `id: string` Build ID - `config_commit: string` - `created_at: string` - `documented_spec: object { content, type } or object { expires, type, url }` - `union_member_0: object { content, type }` - `content: string` - `type: "content"` - `"content"` - `union_member_1: object { expires, type, url }` - `expires: string` - `type: "url"` - `"url"` - `url: string` - `object: "build"` - `"build"` - `org: string` - `project: string` - `targets: object { cli, csharp, go, 10 more }` - `cli: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status }` - `status: "queued"` - `"queued"` - `in_progress: object { status }` - `status: "in_progress"` - `"in_progress"` - `completed: object { commit, completed, completed_at, 3 more }` - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `completed: object { commit, completed_at, conclusion, merge_conflict_pr }` deprecated - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `sha: string` - `stats: object { additions, deletions, total }` - `tree_oid: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `status: "completed"` - `"completed"` - `install_url: string` - `object: "build_target"` - `"build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `"not_started"` - `"codegen"` - `"postgen"` - `"completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status, url }` - `status: "queued"` - `"queued"` - `url: string` - `in_progress: object { status, url }` - `status: "in_progress"` - `"in_progress"` - `url: string` - `completed: object { completed, conclusion, status, url }` - `completed: object { conclusion, url }` deprecated - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `url: string` - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `status: "completed"` - `"completed"` - `url: string` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `csharp: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `go: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `java: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `kotlin: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `node: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `openapi: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `php: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `python: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `ruby: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `sql: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `terraform: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `typescript: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `updated_at: string` - `object: "project_branch"` - `"project_branch"` - `org: string` - `project: string` Project name ### Example ```cli stl projects:branches reset \ --api-key 'My API Key' \ --project project \ --branch branch ``` #### Response ```json { "branch": "branch", "config_commit": { "repo": { "branch": "branch", "host": "host", "name": "name", "owner": "owner" }, "sha": "sha", "stats": { "additions": 0, "deletions": 0, "total": 0 }, "tree_oid": "tree_oid" }, "latest_build": { "id": "id", "config_commit": "config_commit", "created_at": "2019-12-27T18:11:19.117Z", "documented_spec": { "content": "content", "type": "content" }, "object": "build", "org": "org", "project": "project", "targets": { "cli": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "csharp": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "go": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "java": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "kotlin": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "node": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "openapi": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "php": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "python": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "ruby": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "sql": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "terraform": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } }, "typescript": { "commit": { "status": "not_started" }, "install_url": "install_url", "object": "build_target", "status": "not_started", "build": { "status": "not_started" }, "lint": { "status": "not_started" }, "test": { "status": "not_started" } } }, "updated_at": "2019-12-27T18:11:19.117Z" }, "object": "project_branch", "org": "org", "project": "project" } ``` ## Domain Types ### Project Branch - `project_branch: object { branch, config_commit, latest_build, 3 more }` A project branch names a line of development for a project. Like a Git branch, it points to a Git commit with a set of config files. In addition, a project branch also points to a set of custom code changes, corresponding to Git branches in the staging repos. - `branch: string` Branch name - `config_commit: object { repo, sha, stats, tree_oid }` A Git commit that points to the latest set of config files on a given branch. - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `latest_build: object { id, config_commit, created_at, 6 more }` - `id: string` Build ID - `config_commit: string` - `created_at: string` - `documented_spec: object { content, type } or object { expires, type, url }` - `union_member_0: object { content, type }` - `content: string` - `type: "content"` - `"content"` - `union_member_1: object { expires, type, url }` - `expires: string` - `type: "url"` - `"url"` - `url: string` - `object: "build"` - `"build"` - `org: string` - `project: string` - `targets: object { cli, csharp, go, 10 more }` - `cli: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status }` - `status: "queued"` - `"queued"` - `in_progress: object { status }` - `status: "in_progress"` - `"in_progress"` - `completed: object { commit, completed, completed_at, 3 more }` - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `branch: string` - `host: string` - `name: string` - `owner: string` - `sha: string` - `stats: object { additions, deletions, total }` - `additions: number` - `deletions: number` - `total: number` - `tree_oid: string` - `completed: object { commit, completed_at, conclusion, merge_conflict_pr }` deprecated - `commit: object { repo, sha, stats, tree_oid }` - `repo: object { branch, host, name, owner }` - `sha: string` - `stats: object { additions, deletions, total }` - `tree_oid: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `completed_at: string` - `conclusion: "error" or "warning" or "note" or 9 more` - `"error"` - `"warning"` - `"note"` - `"success"` - `"merge_conflict"` - `"upstream_merge_conflict"` - `"fatal"` - `"payment_required"` - `"cancelled"` - `"timed_out"` - `"noop"` - `"version_bump"` - `merge_conflict_pr: object { number, repo }` - `number: number` - `repo: object { host, name, owner }` - `host: string` - `name: string` - `owner: string` - `status: "completed"` - `"completed"` - `install_url: string` - `object: "build_target"` - `"build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `"not_started"` - `"codegen"` - `"postgen"` - `"completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `status: "not_started"` - `"not_started"` - `queued: object { status, url }` - `status: "queued"` - `"queued"` - `url: string` - `in_progress: object { status, url }` - `status: "in_progress"` - `"in_progress"` - `url: string` - `completed: object { completed, conclusion, status, url }` - `completed: object { conclusion, url }` deprecated - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `url: string` - `conclusion: "success" or "failure" or "skipped" or 4 more` - `"success"` - `"failure"` - `"skipped"` - `"cancelled"` - `"action_required"` - `"neutral"` - `"timed_out"` - `status: "completed"` - `"completed"` - `url: string` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `not_started: object { status }` - `queued: object { status, url }` - `in_progress: object { status, url }` - `completed: object { completed, conclusion, status, url }` - `csharp: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `go: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `java: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `kotlin: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `node: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `openapi: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `php: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `python: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `ruby: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `sql: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `terraform: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `typescript: optional object { commit, install_url, object, 4 more }` - `commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }` - `install_url: string` - `object: "build_target"` - `status: "not_started" or "codegen" or "postgen" or "completed"` - `build: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `lint: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `test: optional object { status } or object { status, url } or object { status, url } or object { completed, conclusion, status, url }` - `updated_at: string` - `object: "project_branch"` - `"project_branch"` - `org: string` - `project: string` Project name